Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577384 - New Routes not working in Openshift
Summary: New Routes not working in Openshift
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.z
Assignee: Ben Bennett
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 21:09 UTC by Josh Foots
Modified: 2021-06-10 16:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-25 18:17:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Ben Bennett 2018-05-14 15:55:20 UTC
This could well be one of:
 https://bugzilla.redhat.com/show_bug.cgi?id=1429823
 https://bugzilla.redhat.com/show_bug.cgi?id=1415112
 https://bugzilla.redhat.com/show_bug.cgi?id=1440977

We need to know the original router image that was being run, and the new one.

Comment 3 Josh Foots 2018-05-17 18:55:18 UTC
@Ben

Customer was using the following image:

openshift3/ose-haproxy-router:v3.5.5.31.36

I did a pull on in on my local system:
┌─[jfoots@whiterun]─[~]
└──> sudo docker pull openshift3/ose-haproxy-router:v3.5.5.31.36
sha256:26b66baa0d8192424e434a085d0f4dbada687e76191064553d1c01cd0a047f94: Pulling from registry.access.redhat.com/openshift3/ose-haproxy-router
26e5ed6899db: Pull complete 
66dbe984a319: Pull complete 
d6be7b2600cc: Pull complete 
feb3f7332a97: Pull complete 
cc7568c9d8e3: Pull complete 
Digest: sha256:26b66baa0d8192424e434a085d0f4dbada687e76191064553d1c01cd0a047f94
Status: Downloaded newer image for registry.access.redhat.com/openshift3/ose-haproxy-router:v3.5.5.31.36


┌─[jfoots@whiterun]─[~]
└──> sudo docker images |grep haproxy
registry.access.redhat.com/openshift3/ose-haproxy-router                       v3.5.5.31.36        ff115e0e90ee        7 months ago        748 MB

Comment 6 Ben Bennett 2018-05-25 18:17:45 UTC
I'm closing this since I'm certain it was one of the above bugs... it's not worth chasing down which.


Note You need to log in before you can comment on or make changes to this bug.